import { DataTableProps, SingleRowAction } from './types';
declare type DProps<T> = Pick<DataTableProps<T>, 'columns' | 'conditionalRowStyles' | 'dense' | 'expandableIcon' | 'expandableRows' | 'expandableRowsComponent' | 'expandableRowsHideExpander' | 'expandOnRowClicked' | 'expandOnRowDoubleClicked' | 'highlightOnHover' | 'expandableInheritConditionalStyles' | 'keyField' | 'onRowClicked' | 'onRowDoubleClicked' | 'onRowExpandToggled' | 'pointerOnHover' | 'selectableRowDisabled' | 'selectableRows' | 'selectableRowsComponent' | 'selectableRowsComponentProps' | 'selectableRowsHighlight' | 'striped'>;
interface TableRowProps<T> extends Required<DProps<T>> {
    defaultExpanded?: boolean;
    defaultExpanderDisabled: boolean;
    id: string | number;
    onSelectedRow: (action: SingleRowAction<T>) => void;
    pointerOnHover: boolean;
    row: T;
    rowCount: number;
    rowIndex: number;
    selected: boolean;
}
declare function TableRow<T extends Record<string, unknown>>({ columns, conditionalRowStyles, defaultExpanded, defaultExpanderDisabled, dense, expandableIcon, expandableRows, expandableRowsComponent, expandableRowsHideExpander, expandOnRowClicked, expandOnRowDoubleClicked, highlightOnHover, id, expandableInheritConditionalStyles, keyField, onRowClicked, onRowDoubleClicked, onRowExpandToggled, onSelectedRow, pointerOnHover, row, rowCount, rowIndex, selectableRowDisabled, selectableRows, selectableRowsComponent, selectableRowsComponentProps, selectableRowsHighlight, selected, striped, }: TableRowProps<T>): JSX.Element;
declare const _default: typeof TableRow;
export default _default;
